Package ru.bitel.bgbilling.plugins.dispatch.server.bean

# Class MessageProcessor

java.lang.Object
ru.bitel.bgbilling.plugins.dispatch.server.bean.MessageProcessor

    public class MessageProcessor
    extends java.lang.Object

Обработчик шаблонов сообщений

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.sql.Connection` | `con` |
  `protected static java.util.regex.Pattern` | `macroPattern` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MessageProcessor​(java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected ru.bitel.bgbilling.plugins.dispatch.server.bean.MessageProcessor.ProcessResult` | `processMacro​(java.lang.String messageBody, Subscription sub)` |
  `void` | `send​(Dispatch dispatch, java.util.List<Subscription> subs, DispatchMessage message, DispatchService dispatchService)` | Отправляем сообщение (приходят сюда по очереди, если несколько) рассылки для всех подписчиков.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### con

    protected java.sql.Connection con

  - ### macroPattern

    protected static final java.util.regex.Pattern macroPattern

- ## Constructor Details

  - ### MessageProcessor

    public MessageProcessor​(java.sql.Connection con) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

- ## Method Details

  - ### processMacro

    protected final ru.bitel.bgbilling.plugins.dispatch.server.bean.MessageProcessor.ProcessResult processMacro​(java.lang.String messageBody, Subscription sub) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### send

    public final void send​(Dispatch dispatch, java.util.List<Subscription> subs, DispatchMessage message, DispatchService dispatchService) throws ru.bitel.bgbilling.common.BGException
    Отправляем сообщение (приходят сюда по очереди, если несколько) рассылки для всех подписчиков.
    Parameters:
      `dispatch` - рассылка
      `subs` - список подписок
      `message` - сообщение
      `dispatchService` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`